# Live-Coding Beispiele

- [first](first), [test](test) Beipiel Packages/Sichtbarkeit
- [e01](e01) Elementare Datentypen
- [e02](e02) Funktionen, Parameter, Zuweisung
- [e03](e03) Rückgabewerte
- [e04](e04) Zeiger
- [e05](e05) Closures
- [e06](e06) Closures ,ok-Idiom
- [e07](e07) Fehlerbehandlung
- [e08](e08) panic/recover
- [e09](e09) Arrays, for-Schleife
- [e10](e10) Slices
- [e11](e11) cap/len re-Slicing
- [e12](e12) variadische Funktionen
- [e13](e13) Structs/Maps
- [e14](e14) Konstanten
- [e15](e15) Maps
- [e16](e16) Strings
- [e17](e17) Typen, Methoden, Receiver.
- [e18](e18) Embedding
- [e19](e19) Interfaces
- [e20](e20) Composit-Bildung
- [e21](e21) Type-Assertions, Type-Switch
- [e22](e22) Interface-Assertion
- [e23](e23) Switch, for, goto
- [e24](e24) Method-Values
- [e25](e25) Channels, done-Channels
- [e26](e26) Fan-Out, WaitGroup
- [e27](e27) Function-Channels
- [e28](e28) iota
- [e29](e29) Struct-Tags
